PETSc version 3.17.4
Fix/Edit manual page

# DMPlexTransformGetSubcellOrientation

Transform the replica number and orientation for a target point according to the group action for the source point

### Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformGetSubcellOrientation(DMPlexTransform tr, DMPolytopeType sct, PetscInt sp, PetscInt so, DMPolytopeType tct, PetscInt r, PetscInt o, PetscInt *rnew, PetscInt *onew)

Not collective

### Input Parameters

| tr | - The DMPlexTransform
| sct | - The source point cell type, from whom the new cell is being produced
| sp | - The source point
| so | - The orientation of the source point in its enclosing parent
| tct | - The target point cell type
| r | - The replica number requested for the produced cell type
| o | - The orientation of the replica

### Output Parameters

| rnew | - The replica number, given the orientation of the parent
| onew | - The replica orientation, given the orientation of the parent

### See Also

DMPlexTransformCellTransform(), DMPlexTransformApply()

### Level

advanced

### Location

src/dm/impls/plex/transform/interface/plextransform.c

### Examples

src/dm/impls/plex/tutorials/ex11.c.html

### Implementations

DMPlexTransformGetSubcellOrientation_Extrude in src/dm/impls/plex/transform/impls/extrude/plextrextrude.c
DMPlexTransformGetSubcellOrientation_1D in src/dm/impls/plex/transform/impls/refine/1d/plexref1d.c
DMPlexTransformGetSubcellOrientation_Alfeld in src/dm/impls/plex/transform/impls/refine/alfeld/plexrefalfeld.c
DMPlexTransformGetSubcellOrientation_BL in src/dm/impls/plex/transform/impls/refine/bl/plexrefbl.c
DMPlexTransformGetSubcellOrientation_Regular in src/dm/impls/plex/transform/impls/refine/regular/plexrefregular.c
DMPlexTransformGetSubcellOrientation_SBR in src/dm/impls/plex/transform/impls/refine/sbr/plexrefsbr.c
DMPlexTransformGetSubcellOrientation_ToBox in src/dm/impls/plex/transform/impls/refine/tobox/plexreftobox.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages